Subject: Re: [PATCH V2] ARM: imx: add i.MX7ULP cpuidle support

From: Shawn Guo <[email-masked]>
Date: Tue, 15 Jan 2019 23:12:52 +0800

On Wed, Jan 16, 2019 at 12:10:43AM +1100, Stephen Rothwell wrote:
> Hi Leonard,
> 
> On Tue, 15 Jan 2019 12:30:23 +0000 Leonard Crestez <[email-masked]> wrote:
> >
> > On 1/14/19 2:56 AM, Shawn Guo wrote:
> > > On Fri, Jan 11, 2019 at 05:57:30AM +0000, Anson Huang wrote:  
> > > > This patch adds cpuidle support for i.MX7ULP, 3 cpuidle
> > > > states supported as below:
> > > > 
> > > > 1. WFI, just ARM wfi;
> > > > 2. WAIT mode, mapped to SoC's partial stop mode #3;
> > > > 3. STOP mode, mapped to SoC's partial stop mode #1.
> > > > 
> > > > In WAIT mode, system clock and bus clock will be enabled;
> > > > In STOP mode, system clock and bus clock will be disabled.
> > > > 
> > > > Signed-off-by: Anson Huang <[email-masked]>  
> > > 
> > > Applied, thanks.
> > >   
> > 
> > Hello,
> > 
> > I'm not sure if anyone else already noticed but it seems the
> > arch/arm/mach-imx/cpuidle-imx7ulp.c file was dropped?
> > 
> > It's not in your tree:
> > 
> > https://git.kernel.org/pub/scm/linux/kernel/git/shawnguo/linux.git/commit/?h=imx/soc&id=cf2d2d392906f5603cf0d0f3630f6386babf7e4b
> > 
> > This causes build failures in next-20190115 with imx_v6_v7_defconfig.
> 
> That file does not exist in Linus' tree either.  And there are no
> commits in linux-next that add it.

Sorry.  That's my fault.  The patch doesn't apply to my tree and I had
to use 'patch' command.  However, I forgot to add this new
cpuidle-imx7ulp.c file.

Just fixed it.

Shawn